Subject: 26.1; reftex: TOC problems with section titles containing double quotes

From: Peter Pichler <[email-masked]>
Date: Tue, 14 Aug 2018 22:41:57 +0200

Dear Sirs,

I recently updated my emacs installation on Windows 10 from 24.2 to the 
most recent pre-compiled version I found on 
ftp://ftp.gnu.org/gnu/emacs/windows/ I then enabled auctex via M-x 
list-packages. During editing LaTeX files, I enabled reftex as minor 
mode via M-x reftex-mode

Example LaTeX file:

===============

\documentclass{article}
\usepackage{german}
\begin{document}
\section{K"onige}
K"onige sind selten.
\end{document}

%%% Local Variables:
%%% mode: latex
%%% TeX-master: t
%%% End:

===============

Failure description:

Upon invoking reftex-toc via C-c =, I get

===============

      1 K"onige} K"onige sind selten.

===============

as TABLE-OF-CONTENTS. My old 24.2 emacs version would have resulted in

===============

      1 K"onige

===============

Apparently, the end of the section header is not recognized when it 
contains a double quote as needed by the german package to typeset 
German Umlauts. Any help would be appreciated.

Kind regards,

Peter Pichler

Emacs  : GNU Emacs 26.1 (build 1, x86_64-w64-mingw32)
  of 2018-05-30
Package: 26.1

current state:
==============
(setq
  window-system 'w32
  reftex-plug-into-AUCTeX nil
  )